package com.xs.core.init;

import lombok.AllArgsConstructor;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.sql.DataSource;
import java.sql.Connection;

@Component
@AllArgsConstructor
public class DatabaseInitializer implements CommandLineRunner {
    private final DataSource dataSource;

    @Override
    public void run(String... args) throws Exception {
        try (Connection connection = dataSource.getConnection()) {
            // 执行一个简单的查询来初始化连接
            connection.createStatement().execute("SELECT 1");
            System.out.println("Database connection initialized");
        }
    }
}
